<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
    <data>
        <variable
            name="vm"
            type="com.yidian.shenghuoquan.buserorder.viewmodel.OrderListViewModel" />
    </data>
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="#F7F7F7">
        <androidx.appcompat.widget.Toolbar
            android:id="@+id/order_list_toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fitsSystemWindows="true"
            android:minHeight="50dp"
            android:paddingStart="@dimen/dp15"
            android:paddingEnd="@dimen/dp15"
            app:layout_scrollFlags="scroll|enterAlways"
            app:navigationIcon="@drawable/bcommon_icon_back"
            android:background="#FFFFFF">
            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:textColor="@color/black"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:text="标题" />
        </androidx.appcompat.widget.Toolbar>
        <LinearLayout
            android:id="@+id/ll_all_refund"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp44"
            android:layout_marginTop="@dimen/dp2"
            android:orientation="horizontal"
            android:layout_below="@+id/order_list_toolbar"
            >
            <TextView
                android:id="@+id/tv_orderlist_all"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp16"
                android:text="全部"
                android:textColor="#333333"
                android:textSize="16sp"
                android:textStyle="bold"
                android:layout_gravity="center_vertical"
                app:drawableBottomCompat="@drawable/icon_react_under_text">
            </TextView>
            <TextView
                android:id="@+id/tv_refunded"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp40"
                android:text="退款/售后"
                android:textColor="#333333"
                android:textSize="16sp"
                android:layout_gravity="center_vertical">
            </TextView>
        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/smart_refresh"
            android:layout_width="@dimen/dp343"
            android:layout_height="match_parent"
            android:layout_below="@+id/ll_all_refund"
            android:layout_centerHorizontal="true">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

            </com.scwang.smart.refresh.header.ClassicsHeader>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rcv_order_list"
                android:layout_width="343dp"
                android:layout_height="wrap_content"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager">

            </androidx.recyclerview.widget.RecyclerView>

            <com.scwang.smart.refresh.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="0dp">

            </com.scwang.smart.refresh.footer.ClassicsFooter>
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <com.yidian.bcommon.widget.CommonEmptyPageView
            android:id="@+id/orderlist_empty_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"
            app:CommonEmptyPageView_empty_tips_text="这里什么都没有"
            app:CommonEmptyPageView_place_holder_img="@drawable/bcommon_icon_nothing_place_holder"
            android:layout_centerInParent="true"/>
    </RelativeLayout>
</layout>